
From: Pavel Machek <pavel@ucw.cz>

Update suspend documentation.

Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Documentation/power/swsusp.txt |    7 +++++++
 Documentation/power/video.txt  |    9 ++++++++-
 2 files changed, 15 insertions(+), 1 deletion(-)

diff -puN Documentation/power/swsusp.txt~suspend-update-documentation Documentation/power/swsusp.txt
--- devel/Documentation/power/swsusp.txt~suspend-update-documentation	2005-07-12 02:13:56.000000000 -0700
+++ devel-akpm/Documentation/power/swsusp.txt	2005-07-12 02:13:56.000000000 -0700
@@ -311,3 +311,10 @@ As a rule of thumb use encrypted swap to
 system is shut down or suspended. Additionally use the encrypted
 suspend image to prevent sensitive data from being stolen after
 resume.
+
+Q: Why we cannot suspend to a swap file?
+
+A: Because accessing swap file needs the filesystem mounted, and
+filesystem might do something wrong (like replaying the journal)
+during mount. [Probably could be solved by modifying every filesystem
+to support some kind of "really read-only!" option. Patches welcome.]
diff -puN Documentation/power/video.txt~suspend-update-documentation Documentation/power/video.txt
--- devel/Documentation/power/video.txt~suspend-update-documentation	2005-07-12 02:13:56.000000000 -0700
+++ devel-akpm/Documentation/power/video.txt	2005-07-12 02:13:56.000000000 -0700
@@ -46,6 +46,12 @@ There are a few types of systems where v
   POSTing bios works. Ole Rohne has patch to do just that at
   http://dev.gentoo.org/~marineam/patch-radeonfb-2.6.11-rc2-mm2.
 
+(8) on some systems, you can use the video_post utility mentioned here:
+  http://bugzilla.kernel.org/show_bug.cgi?id=3670. Do echo 3 > /sys/power/state
+  && /usr/sbin/video_post - which will initialize the display in console mode.
+  If  you are in X, you can switch to a virtual terminal and back to X using
+  CTRL+ALT+F1 - CTRL+ALT+F7 to get the display working in graphical mode again.
+
 Now, if you pass acpi_sleep=something, and it does not work with your
 bios, you'll get a hard crash during resume. Be careful. Also it is
 safest to do your experiments with plain old VGA console. The vesafb
@@ -64,7 +70,8 @@ Model                           hack (or
 ------------------------------------------------------------------------------
 Acer Aspire 1406LC		ole's late BIOS init (7), turn off DRI
 Acer TM 242FX			vbetool (6)
-Acer TM C300                    vga=normal (only suspend on console, not in X), vbetool (6)
+Acer TM C110			video_post (8)
+Acer TM C300                    vga=normal (only suspend on console, not in X), vbetool (6) or video_post (8)
 Acer TM 4052LCi		        s3_bios (2)
 Acer TM 636Lci			s3_bios vga=normal (2)
 Acer TM 650 (Radeon M7)		vga=normal plus boot-radeon (5) gets text console back
_
